classification
Title: Problems with urllib on windows
Type: behavior Stage:
Components: Windows Versions: Python 2.7, Python 2.6
process
Status: closed Resolution: works for me
Dependencies: Superseder:
Assigned To: Nosy List: Deepak.Dodo, holdenweb, loewis, orsenthil
Priority: normal Keywords:

Created on 2011-10-18 11:49 by Deepak.Dodo, last changed 2012-05-25 02:50 by holdenweb. This issue is now closed.

Files
File name Uploaded Description Edit
tester.py Deepak.Dodo, 2011-10-18 19:31
error.log Deepak.Dodo, 2011-10-18 19:32
Messages (7)
msg145800 - (view) Author: Deepak Dodo (Deepak.Dodo) Date: 2011-10-18 11:49
When I try to read the contents of the webpage: 
http://www.ai-class.com/course/json/filter/QuizQuestion
using urllib.read, it doesn't read the entire content. 
This behavior is only seen on windows and the same operation works fine on linux machines.
msg145844 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2011-10-18 17:42
Can you please provide a test case? What exact source code you are using, and what exact result are you getting? Attach those pieces as files.
msg145860 - (view) Author: Deepak Dodo (Deepak.Dodo) Date: 2011-10-18 19:31
This is the source code I am using. Even if I use any module other than urllib to read the contents, its not reading the entire contents of the webpage. This happens only on Windows.
msg145861 - (view) Author: Deepak Dodo (Deepak.Dodo) Date: 2011-10-18 19:32
The log file is also attached. This error is because the entire content of the webpage has not been read.
msg146507 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2011-10-27 17:05
The code is pretty straight forward and works on Linux. Is the problem
with the download? If you open the json file, is it a valid one?
msg161518 - (view) Author: Steve Holden (holdenweb) * (Python committer) Date: 2012-05-24 15:21
I have just tested this against the 2.7.1 release on Windows 7 and it runs fine. I suspect there may have been some transient error with the reporter's system or network, but if this still fails for him then reopening will be appropriate with more information about the exact nature of the fault.
msg161547 - (view) Author: Steve Holden (holdenweb) * (Python committer) Date: 2012-05-25 02:50
Oops, sorry, meant to close this issue. Hope that's OK.
History
Date User Action Args
2012-05-25 02:50:11holdenwebsetstatus: open -> closed

messages: + msg161547
2012-05-24 15:21:35holdenwebsetresolution: works for me

messages: + msg161518
nosy: + holdenweb
2011-10-27 17:05:52orsenthilsetnosy: + orsenthil
messages: + msg146507
2011-10-18 19:32:37Deepak.Dodosetfiles: + error.log

messages: + msg145861
2011-10-18 19:31:01Deepak.Dodosetfiles: + tester.py

messages: + msg145860
2011-10-18 17:42:17loewissetnosy: + loewis
messages: + msg145844
2011-10-18 11:49:49Deepak.Dodocreate